## python-darkslide 6.0.0

=== ci/requirements.txt ===
virtualenv>=16.6.0
pip>=19.1.1
setuptools>=18.0.1
six>=1.12.0

## python-darkslide 2.3.3

=== debian/changelog ===
python-darkslide (2.3.3-2) unstable; urgency=medium

  * Fix the sed script to not rename the configuration file section.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 17 Sep 2017 15:06:39 +0200

python-darkslide (2.3.3-1) unstable; urgency=medium

  * New upstream and their new upstream release.
  * New maintainer.
  * Only support Python 3.
  * Install README and CONTRIBUTING.
  * Use pandoc to convert reST to a more readable Markdown.
  * Install upstream changelog.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 17 Sep 2017 14:14:11 +0200

landslide (1.1.3-0.0) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Fix the watch file.
  * Use dh9.
  * Fix Vcs-*.
  * Remove ${python:Breaks}, add ${python:Provides}.
  * Use pybuild, enable tests.
  * Install examples.
  * Update build-dependencies.
  * Update the manpage.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 16 Sep 2017 18:40:31 +0200

landslide (1.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 21 Nov 2011 00:20:21 +0100

landslide (1.0.0-2) unstable; urgency=low

  * Add missing dependency on python-pkg-resources. Thanks to Jakub Wilk for
    notifying (Closes: #645254).

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 17 Oct 2011 23:17:43 +0200

landslide (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Add Vcs-* headers.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 21 Sep 2011 15:38:14 +0200

landslide (0.8.2-1) unstable; urgency=low

  * Initial upload (Closes: #614424)

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 22 Feb 2011 01:19:20 +0100

=== debian/control ===
Source: python-darkslide
Maintainer: Andrew Shadura <andrewsh@debian.org>
Section: python
Priority: optional
Build-Depends:
    debhelper (>= 9),
    dh-python,
    python3-all,
    python3-setuptools (>= 0.6.24),
    python3-six,
    python3-markdown,
    python3-jinja2,
    python3-pygments,
    python3-docutils,
    pandoc
Standards-Version: 4.1.0
Homepage: https://github.com/ionelmc/python-darkslide
Vcs-Git: https://anonscm.debian.org/git/collab-maint/darkslide.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/darkslide.git

Package: darkslide
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Provides: python3-darkslide
Description: HTML5 slideshow generator
 Darkslide is a tool which can generates an HTML5 slideshow using lightweight
 markup as input.
 .
 You can write your slide contents easily using these syntaxes:
 .
   * Markdown
   * ReStructuredText
   * Textile
 .
 This tool support CSS/JS theming, PDF export (using PrinceXML Python library),
 embed images with Base64 (for stand-alone document) and fancy transitions.
 .
 Darkslide is a fork of Landslide.
 .
 A sample presentation is available here: <http://ionelmc.github.io/python-darkslide/>.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

override_dh_auto_build:
	dh_auto_build
	pandoc -f rst -t markdown README.rst | sed \
	    -e 's:adamzap/landslide:ionelmc/python-darkslide:g' \
	    -e '/Demo/,/produces/ {s/landslide/darkslide/g; s/Landslide/Darkslide/g}' \
	    -e '/Requirements/,$$ {s/\([^[]\)landslide/\1darkslide/g; s/Landslide/Darkslide/g}' \
	    > README.md

get-orig-source:
	uscan --force-download --rename

.PHONY: override_dh_installchangelogs override_dh_auto_build get-orig-source

## python-darkslide 4.0.1

=== debian/changelog ===
python-darkslide (4.0.1-2) unstable; urgency=medium

  * Support python-markdown >= 3 (Closes: #923977).
  * Bump the python3-markdown build dependency.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 13 Apr 2019 00:10:51 +0200

python-darkslide (4.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org.

  [ Andrej Shadura ]
  * New upstream release.
  * Update the manpage.
  * Remove some useless stuff from README.md

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 04 Oct 2018 15:37:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: python-darkslide
-Maintainer: Andrew Shadura <andrewsh@debian.org>
+Maintainer: Andrej Shadura <andrewsh@debian.org>
 Section: python
 Priority: optional
 Build-Depends:
@@ -8,15 +8,15 @@
     python3-all,
     python3-setuptools (>= 0.6.24),
     python3-six,
-    python3-markdown,
+    python3-markdown (>= 3.0),
     python3-jinja2,
     python3-pygments,
     python3-docutils,
     pandoc
 Standards-Version: 4.1.0
 Homepage: https://github.com/ionelmc/python-darkslide
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/darkslide.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/darkslide.git
+Vcs-Git: https://salsa.debian.org/debian/darkslide.git
+Vcs-Browser: https://salsa.debian.org/debian/darkslide
 
 Package: darkslide
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,9 @@
 override_dh_auto_build:
 	dh_auto_build
 	pandoc -f rst -t markdown README.rst | sed \
+	    -e '1,/^Lightweight/ { /Lightweight/!d }' \
 	    -e 's:adamzap/landslide:ionelmc/python-darkslide:g' \
+	    -e 's=http://=https://=g' \
 	    -e '/Demo/,/produces/ {s/landslide/darkslide/g; s/Landslide/Darkslide/g}' \
 	    -e '/Requirements/,$$ {s/\([^[]\)landslide/\1darkslide/g; s/Landslide/Darkslide/g}' \
 	    > README.md

=== debian/watch ===
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-darkslide-$1\.tar\.gz/,uversionmangle=s/-rc/~rc/ \
  https://github.com/ionelmc/python-darkslide/tags .*/v?(\d\S*)\.tar\.gz

## python-darkslide 5.1.0

=== debian/changelog ===
python-darkslide (5.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop sed fixes already done upstream.
  * Drop patches applied upstream.
  * Add previously missing dependencies.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 16 Jan 2020 16:03:49 +0100

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,8 @@
     python3-jinja2,
     python3-pygments,
     python3-docutils,
+    python3-qrcode (>= 6.1),
+    python3-textile,
     pandoc
 Standards-Version: 4.1.0
 Homepage: https://github.com/ionelmc/python-darkslide
@@ -20,7 +22,7 @@
 
 Package: darkslide
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, python3-textile
 Provides: python3-darkslide
 Description: HTML5 slideshow generator
  Darkslide is a tool which can generates an HTML5 slideshow using lightweight

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,7 @@
 	dh_auto_build
 	pandoc -f rst -t markdown README.rst | sed \
 	    -e '1,/^Lightweight/ { /Lightweight/!d }' \
-	    -e 's:adamzap/landslide:ionelmc/python-darkslide:g' \
 	    -e 's=http://=https://=g' \
-	    -e '/Demo/,/produces/ {s/landslide/darkslide/g; s/Landslide/Darkslide/g}' \
-	    -e '/Requirements/,$$ {s/\([^[]\)landslide/\1darkslide/g; s/Landslide/Darkslide/g}' \
 	    > README.md
 
 get-orig-source:

## python-darkslide 6.0.0

=== debian/changelog ===
python-darkslide (6.0.0-2) unstable; urgency=medium

  * Fix spelling issues in the description (Closes: #745305).
  * Use stdout/stderr instead of stdin where appropriate
    in the manpage (Closes: #765097).
  * Set Section to utils (Closes: #878481).
  * Rewrap debian/control.
  * Bump Standards-Version to 4.6.0.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 27 Oct 2021 14:43:09 +0200

python-darkslide (6.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Use debhelper-compat instead of debian/compat.
  * Update standards version, no changes needed.
  * Bump debhelper from old 9 to 13.
  * Update the manpage.
  * Use dh-sequence-python3.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove unnecessary get-orig-source-target.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 27 Oct 2021 14:27:38 +0200

=== debian/control ===
Source: python-darkslide
Maintainer: Andrej Shadura <andrewsh@debian.org>
Section: utils
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pandoc,
 python3-all,
 python3-docutils,
 python3-jinja2,
 python3-markdown (>= 3.0),
 python3-pygments,
 python3-qrcode (>= 6.1),
 python3-setuptools (>= 0.6.24),
 python3-six,
 python3-textile,
Standards-Version: 4.6.0
Homepage: https://github.com/ionelmc/python-darkslide
Vcs-Git: https://salsa.debian.org/debian/darkslide.git
Vcs-Browser: https://salsa.debian.org/debian/darkslide

Package: darkslide
Architecture: all
Depends:
 python3-textile,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 python3-darkslide,
Description: HTML5 slideshow generator
 Darkslide is a tool which can generate an HTML5 slideshow using lightweight
 markup as input.
 .
 You can write your slide contents easily using these syntaxes:
 .
   * Markdown
   * ReStructuredText
   * Textile
 .
 This tool supports CSS/JS theming, embedding images with Base64 (for
 stand-alone document) and fancy transitions.
 .
 Darkslide is a fork of Landslide.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

override_dh_auto_build:
	dh_auto_build
	pandoc -f rst -t markdown README.rst | sed \
	    -e '1,/^Lightweight/ { /Lightweight/!d }' \
	    -e 's=http://=https://=g' \
	    > README.md

.PHONY: override_dh_installchangelogs override_dh_auto_build
